Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_new_stream_from_node_iterator

## Name

librdf_new_stream_from_node_iterator -- Constructor - create a new librdf_stream from an iterator of nodes

## Synopsis

``librdf_stream* `librdf_new_stream_from_node_iterator`` (librdf_iterator* `iterator`, librdf_statement* `statement`, unsigned int `field`);`

## Arguments

`iterator`

  librdf_iterator of librdf_node objects

`statement`

  librdf_statement prototype with one NULL node space

`field`

  node part of statement

## Description

Creates a new librdf_stream using the passed in librdf_iterator which generates a series of librdf_node objects. The resulting nodes are then inserted into the given statement and returned. The field attribute indicates which statement node is being generated.

## Return value

a new librdf_stream object or NULL on failure

<<< Previous | Home | Next >>>
librdf_stream_set_map | Up | librdf_stream_print